package com.kingdee.eas.custom.calcdailypay;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.Context;
import com.kingdee.eas.custom.calcdailypay.app.*;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.framework.DataBase;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.IDataBase;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class InspectionRate extends DataBase implements IInspectionRate
{
    public InspectionRate()
    {
        super();
        registerInterface(IInspectionRate.class, this);
    }
    public InspectionRate(Context ctx)
    {
        super(ctx);
        registerInterface(IInspectionRate.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("E8114DF3");
    }
    private InspectionRateController getController() throws BOSException
    {
        return (InspectionRateController)getBizController();
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@return
     */
    public InspectionRateInfo getInspectionRateInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getInspectionRateInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@param selector ȡֵ
     *@return
     */
    public InspectionRateInfo getInspectionRateInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getInspectionRateInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param oql ȡֵ
     *@return
     */
    public InspectionRateInfo getInspectionRateInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getInspectionRateInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@return
     */
    public InspectionRateCollection getInspectionRateCollection() throws BOSException
    {
        try {
            return getController().getInspectionRateCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param view ȡ
     *@return
     */
    public InspectionRateCollection getInspectionRateCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getInspectionRateCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param oql ȡ
     *@return
     */
    public InspectionRateCollection getInspectionRateCollection(String oql) throws BOSException
    {
        try {
            return getController().getInspectionRateCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}